# -*- coding: utf-8 -*-
{
    "name": "hr_holidays_ru",
    "summary": """
        Adds possibility to count leaves in calendar days as is customary in Russian Federation.
        """,
    "description": """
        In Russian Federation leaves are counted in calendar days instead of working days. 
        Also there are not working days and public holidays which are taken into account in different ways.
        This module implements these features to correctly count leaves in RF.
    """,
    "author": "RYDLAB",
    "website": "http://rydlab.ru",
    "license": "Other proprietary",
    "category": "Localization/Payroll",
    "version": "17.0.1.3",
    "depends": ["base", "hr_holidays", "resource", "calendar", "web"],
    "data": [
        "security/ir.model.access.csv",
        "data/holidays_template.xml",
        "data/holidays_cron.xml",
        "data/holidays_notification_template.xml",
        "views/hr_holidays_views.xml",
        "views/hr_leave_views.xml",
        "views/hr_holidays_menus_view.xml",
        "views/hr_leave_report_calendar_view.xml",
        "views/hr_leave_allocation_views.xml",
    ],
    "assets": {
        "web.assets_backend": [
            "hr_holidays_ru/static/src/css/*.css",
            "hr_holidays_ru/static/src/views/calendar/**/*.xml",
            "hr_holidays_ru/static/src/views/calendar/**/*.js",
        ],
    },
}
